<?php
			include("corps_html.php");
	
			session_start();
			include('database.php');
			include('config.php');
			DB_connexion(); 

			$ligne_par_page = 8;

/********************************/
			if( !isset($_POST['statut']) && !isset($_GET['position']) )
			{ 
				if($_GET['nom_famille'] == ""  )
				{
					$statut = "tous";
					$sql = "SELECT * FROM projet";
					echo "Choix : Tous par défaut"; 
				}
				if($_GET['nom_famille'] != "" && $_GET['nom_famille'] == "--[ Tous ]--")
				{
					$statut = $_GET['nom_famille'];
					$nom_famille = $_GET['nom_famille']; 
					$sql = "SELECT * FROM projet";
					echo "Choix : " .$nom_famille; 
				}
				
				if($_GET['nom_famille'] != "" && $_GET['nom_famille'] != "--[ Tous ]--")
				{
					$statut = $_GET['nom_famille'];
					$nom_famille = $_GET['nom_famille']; 
					$sql = "SELECT * FROM projet where nom_famille = '$nom_famille'";
					echo "Choix : Passage de Tous à une famille de produit";
				}
				
				$retour = mysql_query($sql);
				$nb_enregistrement = mysql_num_rows($retour);
				
				if($nb_enregistrement > $ligne_par_page)
				{  
					$nombre_pages = ceil($nb_enregistrement/$ligne_par_page); 
				}
				if($nb_enregistrement <= $ligne_par_page)
				{ 
					$nombre_pages = 1;
				}	
				$pageActuelle=1; 
				$premiereEntree=($pageActuelle-1)*$ligne_par_page; 
				
				echo "<br>";
				echo $nombre_pages;
				
				if($nombre_pages == 1 && $_GET['nom_famille'] == "")
				{
					$sql = "SELECT * FROM projet";	
					$retour = mysql_query($sql);
					echo "<br>";
					echo "simple page projet";
				}
				if($nombre_pages == 1 && $_GET['nom_famille'] != "")
				{
					if($_GET['nom_famille']  == "--[ Tous ]--")
					{
						$sql = "SELECT * FROM projet ";	
						echo "<br>";
						echo $sql;
						$retour = mysql_query($sql);
						echo "<br>";
						echo "simple page tous";
					}
					else
					{
						$sql = "SELECT * FROM projet where nom_famille='$nom_famille'";	
						echo "<br>";
						echo $sql;
						$retour = mysql_query($sql);
						echo "<br>";
						echo "simple page famille";
					}	
				}

				if($nombre_pages > 1 && $_GET['nom_famille'] == "")
				{
						$sql="SELECT * FROM projet ORDER BY id DESC LIMIT $premiereEntree, $ligne_par_page ";
						echo "<br>";
						echo $sql;
						$retour = mysql_query($sql);
						echo "<br>";
						echo "multiple page par défaut";
				}
				if($nombre_pages > 1 && $_GET['nom_famille'] != "")
				{
					if($_GET['nom_famille'] == "--[ Tous ]--" )
					{
						$sql="SELECT * FROM projet ORDER BY id DESC LIMIT $premiereEntree, $ligne_par_page ";
						echo "<br>";
						echo $sql;
						$nb_enregistrement = mysql_num_rows($retour);
						$retour = mysql_query($sql);
						echo "<br>";
						echo "multiple page Tous";
					}	
					
					if($_GET['nom_famille'] != "--[ Tous ]--" )
					{
						$sql="SELECT * FROM projet where nom_famille='$nom_famille' ORDER BY id DESC LIMIT $premiereEntree, $ligne_par_page ";
						echo "<br>";
						echo $sql;
						$nb_enregistrement = mysql_num_rows($retour);
						$retour = mysql_query($sql);
						echo "<br>";
						echo "multiple page specifique";
					}	
					
				}
				
				
			}    	
/********************************/
			if( isset($_GET['page']) ) 	
			{  
				echo "Changement de page" ."<br>";
				
				if($_GET['position'] == "tous" || $_GET['position'] == "--[ Tous ]--" )
				{
					echo "TRACE tous"; 
					$statut = $_GET['position'];
					$sql = "SELECT * FROM projet";
					$result = mysql_query($sql);
					$nb_enregistrement = mysql_num_rows($result);
					if($nb_enregistrement > $ligne_par_page)
					{	  
						$nombre_pages = ceil($nb_enregistrement/$ligne_par_page); 
					}
					if($nb_enregistrement <= $ligne_par_page)
					{ 
						$nombre_pages = 1;
					}
	      
					$pageActuelle = $_GET['page']; 
					$premiereEntree=($pageActuelle-1)*$ligne_par_page;
					$sql="SELECT * FROM projet ORDER BY id DESC LIMIT $premiereEntree, $ligne_par_page ";
					echo "<br>";
					echo $sql;
					$retour = mysql_query($sql);
				}
				
				//if($_GET['position'] != "tous" || $_GET['position'] != "--[ Tous ]--")
				else
				{
					echo "TRACE famille" ."<br>";
					$nom_famille = $_GET['position'];
					$statut = $nom_famille ;
					$sql = "SELECT * FROM projet where nom_famille = '$nom_famille' ";
					$result = mysql_query($sql);
					$nb_enregistrement = mysql_num_rows($result);
					if($nb_enregistrement > $ligne_par_page)
					{  
						$nombre_pages = ceil($nb_enregistrement/$ligne_par_page); 
					}
					if($nb_enregistrement <= $ligne_par_page)
					{ 
						$nombre_pages = 1;
					}
	      
					$pageActuelle = $_GET['page']; 
					$premiereEntree=($pageActuelle-1)*$ligne_par_page; 
					$sql="SELECT * FROM projet where nom_famille = '$nom_famille' ORDER BY id DESC LIMIT $premiereEntree, $ligne_par_page ";
					echo "<br>";
					echo $sql;
					$retour = mysql_query($sql);
					
				}

			}	 
/********************************/

?>	

<link rel="stylesheet" type="text/css" href="style.css">
<link href="http://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css" rel="stylesheet">
<script src="http://code.jquery.com/jquery-1.10.2.js"></script>
<script src="http://code.jquery.com/ui/1.10.4/jquery-ui.js"></script>

<script>

function active_champ_projet()
{
			
			document.getElementById("champ_projet").style.visibility='visible';

			nom_famille = document.getElementById('famille').value;
			var dataString = 'nom_famille='+ nom_famille;
			
			$.ajax
			({
				type: "POST",
				url: "ajax_liste_projet.php",
				data: dataString,
				cache: false,
				success: function(html)
				{
					//alert(html);
					document.getElementById('champ_projet').innerHTML = html;
				}
			});
			
}

function active_champ_tapeout()
{
			alert("On going ....");
			document.getElementById("champ_bloc").style.visibility='visible';

			button = "<input class='btn btn-primary' type='submit' value='Selectionner' name='selection' onclick='selection_tapeout()' />";
			
			nom_projet = document.getElementById('projet').value;
			var dataString = 'nom_projet='+ nom_projet;
			
			$.ajax
			({
				type: "POST",
				url: "ajax_liste_tapeout.php",
				data: dataString,
				cache: false,
				success: function(html)
				{
					document.getElementById('champ_tapeout').innerHTML = html + button;
				}
			});

}

function selection_tapeout()
{
			var tapeout = document.getElementById('champ_tapeout').value;
			var projet = document.getElementById('projet').value;
			window.location.replace("edition_tapeout.php?tapeout=" + tapeout + "&projet=" + projet);
}
</script>


<body>

	<div class="layout">

<?php
	include("header.php");
?>	
		
<!-- Main -->
		<div class="main">
			<div class="container">
				<div class="row">
				
				<div class="col-md-12">
						<!-- Content -->
						<div class="content">
							<div class="page-header">
								<!--<h3>Interface du gestionnaire de projets</h3> -->
								<h2><i class="icon-bullhorn"></i> <span>Liste des tapeout</span></h2>
							</div>
								
							<!-- Single Page -->
							<div class="page">
								
							<div class="examples">
							
							<!------>
							
													<div id='champ_famille' > 
							<p>				
							<div class="center">
			
							<label>Famille de produit: </label>
							<select name='famille' id='famille' onchange='active_champ_projet()'>
							<option value="vide">- - - Choisissez - - -</option>
<?php
							for($i=0; $i < count($tab_famille_projet) ; $i++) 
							{
								echo '<option value="'.$tab_famille_projet[$i].'">'.$tab_famille_projet[$i].'</option>'; 
							}
?>
							</select>
							</div>		
							</p>		
							</div>
							
							
							<div id='champ_projet' style="visibility: hidden;"  >  <!-- style='display:inline' -->
							<div class="center">					
							</br>
							</div>					
							</div> 

							</br>
														
							<div id='champ_tapeout' style="visibility: hidden;"  >  <!-- style='display:inline' -->
<!--
							<div class="center">					
							</br>
							</div>  -->					
							</div> 

							


							<!------->
							
							</div>	
								
							<div class="clear"></div>

							<div class="clear"></div>
							</div>
							<!-- End Single Page -->
						</div>
						<!-- End Content -->
				</div>
					
				</div>
			</div>
		</div>
<!-- End Main -->
		
<?php
	include("footer.php");
?>		

	</div>

</body>
</html>
